# PetscViewerMathematicaSkipPackets

Discard packets sent by Mathematica until a certain packet type is received

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscViewerMathematicaSkipPackets(PetscViewer viewer, int type)

### Input Parameters

viewer -The Mathematica viewer
type -The packet type to search for, e.g RETURNPKT

### Keywords

PetscViewer, Mathematica, packets

### See Also

PetscViewerMathematicaSetName(), PetscViewerMathematicaGetVector()

Level:advanced
Location: src/sys/viewer/impls/mathematica/mathematica.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages